%global debug_package %{nil}

Name:           plasma-rounded-corners
Version:        0.5.0
Release:        1%{?dist}
Summary:        Rounded corners Desktop Effect for KDE Plasma.

License:        GPLv3
URL:            https://github.com/matinlotfali/KDE-Rounded-Corners
Source0:        https://github.com/matinlotfali/KDE-Rounded-Corners/archive/refs/tags/KDE-Rounded-Corners-%{version}.tar.gz
Source1:        0001-use-some-sane-default-shadows-and-outlines.patch

BuildArch:      x86_64

BuildRequires:  nodejs-npm
BuildRequires:  git
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  extra-cmake-modules
BuildRequires:  qt6-qttools-devel
BuildRequires:  qt6-qttools-static
BuildRequires:  kf6-kconfigwidgets-devel
BuildRequires:  kf6-kcrash-devel
BuildRequires:  kf6-kguiaddons-devel
BuildRequires:  kf6-kglobalaccel-devel
BuildRequires:  kf6-kio-devel
BuildRequires:  kf6-ki18n-devel
BuildRequires:  kf6-kcmutils-devel
BuildRequires:  kwin-devel
BuildRequires:  qt6-qtbase-devel
BuildRequires:  libepoxy-devel
BuildRequires:  qt6-qtdeclarative-devel
BuildRequires:  qt6-qt5compat-devel


# Wayland
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  libxkbcommon-devel >= 0.4
BuildRequires:  pkgconfig(libinput) >= 0.10
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(xwayland)

Requires:       plasma-desktop


%description
This effect rounds the corners of your windows and adds an outline around them without much affecting the performance of the KDE Plasma desktop


%prep
%autosetup -n KDE-Rounded-Corners-%{version}
patch -Np1 < %{SOURCE1}
cmake . --install-prefix /usr

%build
make
make DESTDIR=build install

%install
mkdir -p %{buildroot}%{_libdir}/
mkdir -p %{buildroot}%{_datadir}/kwin/shaders/
mv build/usr/lib64/* %{buildroot}%{_libdir}/
mv build/usr/share/kwin/shaders/* %{buildroot}%{_datadir}/kwin/shaders/
rm -Rf build

%files
%license LICENSE
%{_libdir}/*
%{_datadir}/kwin

%changelog


